import { Token } from "../interface";
export interface ColorConfig {
    comments: Color;
    strings: Color;
    numbers: Color;
    keywords: Color;
    builtins: Color;
    operators: Color;
    identifiers: Color;
    punctuations: Color;
    others: Color;
    bgColor?: string;
}
export interface Color {
    value?: string;
    bgValue?: string;
    class?: string;
}
export type ColoredToken = Color & {
    text: string;
};
export declare function colorlize(tokens: Token[], settings: ColorConfig): readonly [ColoredToken[], string | undefined];
export interface SimpleHtmlConfig {
    links?: boolean;
}
export declare function simpleHtml(tokens: ColoredToken[], cfg?: SimpleHtmlConfig): string;
export declare function verySimple(name: string, text: string, theme: string): string;
declare const languageMap: {
    javascript: import("../interface").Lang;
    typescript: import("../interface").Lang;
    json: import("../interface").Lang;
    lua: import("../interface").Lang;
    rust: import("../interface").Lang;
    python: import("../interface").Lang;
};
type Language = keyof typeof languageMap;
export declare function highlight(text: string, options?: {
    theme?: string;
    links?: boolean;
    language?: Language | "auto";
    filename?: string;
}): string;
import { GithubDark } from "./github-dark";
import { AtomOneDark } from "./atom-one-dark";
export declare function selectTheme(theme: string): ColorConfig;
export { GithubDark, AtomOneDark };
